libgphoto2 (libgphoto2): libgphoto2/gphoto2-result.h Source File

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# gphoto2-result.h

    00001 /* gphoto2-result.h
    00002  *
    00003  * Copyright © 2000 Scott Fritzinger
    00004  *
    00005  * This library is free software; you can redistribute it and/or
    00006  * modify it under the terms of the GNU Lesser General Public
    00007  * License as published by the Free Software Foundation; either
    00008  * version 2 of the License, or (at your option) any later version.
    00009  *
    00010  * This library is distributed in the hope that it will be useful,
    00011  * but WITHOUT ANY WARRANTY; without even the implied warranty of
    00012  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    00013  * Lesser General Public License for more details.
    00014  *
    00015  * You should have received a copy of the GNU Lesser General Public
    00016  * License along with this library; if not, write to the
    00017  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    00018  * Boston, MA 02111-1307, USA.
    00019  */
    00020
    00021 #ifndef __GPHOTO2_RESULT_H__
    00022 #define __GPHOTO2_RESULT_H__
    00023
    00024 /* Additional error codes are defined here */
    00025 #include <gphoto2-port-result.h>
    00026
    00027 #ifdef __cplusplus
    00028 extern "C" {
    00029 #endif /* __cplusplus */
    00030
    00039 #define GP_ERROR_CORRUPTED_DATA      -102 /* Corrupted data             */
    00040
    00047 #define GP_ERROR_FILE_EXISTS         -103
    00048
    00056 #define GP_ERROR_MODEL_NOT_FOUND     -105
    00057
    00064 #define GP_ERROR_DIRECTORY_NOT_FOUND -107
    00065
    00072 #define GP_ERROR_FILE_NOT_FOUND      -108
    00073
    00080 #define GP_ERROR_DIRECTORY_EXISTS    -109
    00081
    00087 #define GP_ERROR_CAMERA_BUSY    -110
    00088
    00096 #define GP_ERROR_PATH_NOT_ABSOLUTE   -111
    00097
    00098 #define GP_ERROR_CANCEL              -112
    00099
    00108 #define GP_ERROR_CAMERA_ERROR        -113
    00109
    00116 #define GP_ERROR_OS_FAILURE          -114
    00117
    00118
    00119 const char *gp_result_as_string      (int result);
    00120
    00121 #ifdef __cplusplus
    00122 }
    00123 #endif /* __cplusplus */
    00124
    00125 #endif /* __GPHOTO2_RESULT_H__ */